Bug 21814 - System preferences save button can be hidden by language menu
Summary: System preferences save button can be hidden by language menu
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-12 19:05 UTC by Owen Leonard
Modified: 2020-01-06 20:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21814: System preferences save button can be hidden by language menu (1.23 KB, patch)
2018-11-12 19:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21814: System preferences save button can be hidden by language menu (1.29 KB, patch)
2018-11-15 14:01 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21814: (follow-up) System preferences save button can be hidden by language menu (1.61 KB, patch)
2018-11-15 17:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21814: System preferences save button can be hidden by language menu (1.36 KB, patch)
2018-11-15 17:40 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 21814: (follow-up) System preferences save button can be hidden by language menu (1.68 KB, patch)
2018-11-15 17:40 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-12 19:05:12 UTC
If the language-chooser is shown and a system preference search returns a large number of results the last submit button on the page can be hidden behind the language menu.
Comment 1 Owen Leonard 2018-11-12 19:18:51 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-11-15 14:01:24 UTC
Created attachment 82362 [details] [review]
Bug 21814: System preferences save button can be hidden by language menu

This patch modifies the staff client CSS to give pages enough of a
bottom margin that the language footer will not obscure controls
appearing at the bottom of the page.

To test, apply the patch and regenerate the staff client CSS. You must
have one or more translations installed and enabled.
StaffLangSelectorMode should be set to display the language menu in the
footer.

Go to Administration and search for 'opac.' Scroll to the bottom of the
page and confirm that the last submit button is not hidden by the
language menu.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Julian Maurice 2018-11-15 16:40:12 UTC
Hi Owen,

Patch works as expected but shouldn't the margin be equal to (or at least based on) the height of navbar ?

For the navbar we have

min-height: 20px

but it's actually a bit more (30.4px for me) and the patch sets a margin of 3em.

I'm not familiar with SCSS, but this looks like a good candidate for variables. Something like this:

:root {
  $navbar_height: 30px;
}
.navbar {
  height: $navbar_height;
}
.main {
  margin-bottom: $navbar_height;
}

What do you think ?
Comment 4 Owen Leonard 2018-11-15 17:24:15 UTC
Created attachment 82370 [details] [review]
Bug 21814: (follow-up) System preferences save button can be hidden by language menu

This follow-up implements the same change by defining a variable to be
used as the minimum height of the language footer navbar. A calculation
is done on this value to set the bottom margin of the main area of the
page.

To test, apply the patch and rebuild the staff client CSS. Clear your
browser cache if necessary. View the system preferences page again and
confirm that the bug is still fixed.
Comment 5 Julian Maurice 2018-11-15 17:40:03 UTC
Created attachment 82371 [details] [review]
Bug 21814: System preferences save button can be hidden by language menu

This patch modifies the staff client CSS to give pages enough of a
bottom margin that the language footer will not obscure controls
appearing at the bottom of the page.

To test, apply the patch and regenerate the staff client CSS. You must
have one or more translations installed and enabled.
StaffLangSelectorMode should be set to display the language menu in the
footer.

Go to Administration and search for 'opac.' Scroll to the bottom of the
page and confirm that the last submit button is not hidden by the
language menu.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Julian Maurice 2018-11-15 17:40:07 UTC
Created attachment 82372 [details] [review]
Bug 21814: (follow-up) System preferences save button can be hidden by language menu

This follow-up implements the same change by defining a variable to be
used as the minimum height of the language footer navbar. A calculation
is done on this value to set the bottom margin of the main area of the
page.

To test, apply the patch and rebuild the staff client CSS. Clear your
browser cache if necessary. View the system preferences page again and
confirm that the bug is still fixed.

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 7 Nick Clemens 2018-11-16 13:10:14 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-11-23 16:23:19 UTC
Is this an issue in 18.05.x branch Owen?
Comment 9 Owen Leonard 2018-11-27 13:07:59 UTC
(In reply to Martin Renvoize from comment #8)
> Is this an issue in 18.05.x branch Owen?

It doesn't appear to be.
Comment 10 Martin Renvoize 2018-11-30 14:11:13 UTC
Thanks :)